@charset "utf-8";

.ad--single-button {
  align-items: center;
  border-radius: .5rem;
  justify-content: center;
  min-height: 200px;
  overflow: hidden;
  position: relative;
  width: 100%;

  & img {
    height: 100%;
    inset: 0;
    object-fit: cover;
    position: absolute;
    width: 100%;
  }

  & a {
    align-items: center;
    background-color: var(--contrast);
    border: 2px solid var(--color-2);
    border-radius: 1rem;
    font-size: 1.5rem;
    justify-content: center;
    padding: .5rem;
    position: relative;
    z-index: 1;
  }

  & span {
    background-color: var(--color-6);
    border: 2px solid var(--color-2);
    border-radius: .5rem;
    color: white;
    padding: 1rem 2rem;
    text-align: center;
  }
}

@media screen and (max-width: 480px) {
  .ad--single-button {
    font-size: .9rem;
    min-height: 150px;

    & a {
      font-size: 1.1rem;
      width: 90%;
    }
  }
}

.block + .ad--single-button {
  background: var(--contrast);
  margin: 0;
  width: 100%;
}
